GroovyPageConfig (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.pages

## [Groovy] Class GroovyPageConfig

- org.codehaus.groovy.grails.web.pages.GroovyPageConfig

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `EXPRESSION_CODEC_NAME` | expression codec escapes values inside ${} to output
    `static java.lang.String` | `INHERIT_SETTING_NAME` | allow inheriting codecs from parent levels
    `static java.lang.String` | `OUT_CODEC_NAME` | scriptlet codec escapes the static html parts coming from the GSP file scriptlets to output
    `static java.lang.String` | `REPLACE_ONLY_SETTING_NAME` | only use for safe codecs for replacement
    `static java.lang.String` | `STATIC_CODEC_NAME` | staticparts escapes the static html parts coming from the GSP file to output
    `static java.lang.String` | `TAGLIB_CODEC_NAME` | taglib codec escapes taglib output
    `static java.lang.String` | `TAGLIB_DEFAULT_CODEC_NAME` | taglibdefault codec setting name is the fallback for taglib default codec, taglibCodec in gsp directive uses this setting internally
    `static java.util.Set<java.lang.String>` | `VALID_CODEC_SETTING_NAMES` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map` | `flatConfig`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageConfig (java.util.Map flatConfig)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getCodecSettings(GrailsPluginInfo pluginInfo, java.lang.String codecWriterName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String EXPRESSION_CODEC_NAME

      expression codec escapes values inside ${} to output

    - #### public static final java.lang.String INHERIT_SETTING_NAME

      allow inheriting codecs from parent levels

    - #### public static final java.lang.String OUT_CODEC_NAME

      scriptlet codec escapes the static html parts coming from the GSP file scriptlets to output

    - #### public static final java.lang.String REPLACE_ONLY_SETTING_NAME

      only use for safe codecs for replacement

    - #### public static final java.lang.String STATIC_CODEC_NAME

      staticparts escapes the static html parts coming from the GSP file to output

    - #### public static final java.lang.String TAGLIB_CODEC_NAME

      taglib codec escapes taglib output

    - #### public static final java.lang.String TAGLIB_DEFAULT_CODEC_NAME

      taglibdefault codec setting name is the fallback for taglib default codec, taglibCodec in gsp directive uses this setting internally

    - #### public static final java.util.Set<java.lang.String> VALID_CODEC_SETTING_NAMES

  - ### Property Detail

    - #### java.util.Map flatConfig

  - ### Constructor Detail

    - #### GroovyPageConfig(java.util.Map flatConfig)

  - ### Method Detail

    - #### java.lang.String getCodecSettings(GrailsPluginInfo pluginInfo, java.lang.String codecWriterName)